package com.tuoheng.miniprogram.enums;

/**
 *  获取子部门列表返回码
 *      模块代码：20（部门管理）
 *      接口代码：06 （获取子部门列表）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-22
 */
public enum WeiXinRequestEnum {

    INSPECTION_ID_IS_NULL(120010, "任务id为空"),
    DEPT_ID_IS_NULL(120011, "问题id为空"),
    TENANT_ID_NOT_EXIST(120012, "租户id为空"),
    CREATE_TIME_IS_NULL(120013, "上报时间为空"),
    INSPECTION_NAME_NOT_EXIST(120014, "问题标题不存在"),
    QUESTION_DESC_NOT_EXIST(120015, "问题标题不存在");
    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    WeiXinRequestEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
